/* eslint-disable */
import React, { Fragment } from 'react'
import { H2, Icon } from '@pubsweet/ui'
import { Field } from 'redux-form'
import { Files } from 'pubsweet-components-faraday/src/components'
import {
  Row,
  Text,
  Item,
  Label,
  FileSection,
} from 'pubsweet-component-faraday-ui'

import { Empty } from './'

const files = [
  {
    id: 'file1',
    name: 'myfile.docx',
    size: 51312,
  },
  {
    id: 'file2',
    name: 'another_pdf.pdf',
    size: 133127,
  },
]

const StepThree = ({ version, project, filesError }) => (
  <Fragment>
    <CustomH2>3. Manuscript Files Upload</CustomH2>
    <Row mb={2}>
      <Text align="center" display="flex" secondary>
        Drag & drop files in the specific section or click{' '}
        <Icon secondary size={2}>
          plus
        </Icon>{' '}
        to upload. Use the{' '}
        <Icon secondary size={2}>
          menu
        </Icon>{' '}
        icon to reorder or move files to a different type.
      </Text>
    </Row>
    {/* <Row>
      <Item vertical>
        <Label>Files</Label>
        <Field component={Empty} name="files" />
        <Files parentForm="submission" project={project} version={version} />
        {filesError && (
          <Text align="left" error>
            {filesError}
          </Text>
        )}
      </Item>
    </Row> */}

    <FileSection
      allowedFileExtensions={['pdf', 'doc', 'docx']}
      changeList={(from, to, fileId) =>
        console.log('change from to', from, to, fileId)
      }
      files={files}
      isFirst
      listId="mainManuscript"
      moveItem={(dragIndex, hoverIndex) =>
        console.log('moving the item from', dragIndex, hoverIndex)
      }
      onDelete={f => console.log('delete', f)}
      onDownload={f => console.log('download', f)}
      onFileDrop={f => console.log('dropped a native file', f)}
      onFilePick={f => console.log('picked a file', f)}
      onPreview={f => console.log('preview', f)}
      required
      title="Main Manuscript"
    />
    <FileSection
      allowedFileExtensions={['pdf', 'doc', 'docx']}
      changeList={(from, to, fileId) =>
        console.log('change from to', from, to, fileId)
      }
      files={files}
      listId="coverLetter"
      moveItem={(dragIndex, hoverIndex) =>
        console.log('moving the item from', dragIndex, hoverIndex)
      }
      onDelete={f => console.log('delete', f)}
      onDownload={f => console.log('download', f)}
      onFileDrop={f => console.log('dropped a native file', f)}
      onFilePick={f => console.log('picked a file', f)}
      onPreview={f => console.log('preview', f)}
      required
      title="Cover Letter"
    />
    <FileSection
      changeList={(from, to, fileId) =>
        console.log('change from to', from, to, fileId)
      }
      files={[]}
      isLast
      listId="supplimentalFiles"
      moveItem={(dragIndex, hoverIndex) =>
        console.log('moving the item from', dragIndex, hoverIndex)
      }
      onDelete={f => console.log('delete', f)}
      onDownload={f => console.log('download', f)}
      onFileDrop={f => console.log('dropped a native file', f)}
      onFilePick={f => console.log('picked a file', f)}
      onPreview={f => console.log('preview', f)}
      required
      title="Supplimental Files"
    />
  </Fragment>
)

export default StepThree

// #region styles
const CustomH2 = H2.extend`
  margin: 0;
`
// #endregion
